Bug 1110554 - Allow selection of different kickstart variants and/or repos for a host
Summary: Allow selection of different kickstart variants and/or repos for a host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Chris Duryee
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-18 00:30 UTC by Justin Sherrill
Modified: 2019-09-25 20:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:16:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6264 None None None 2016-04-22 16:14:07 UTC

Description Justin Sherrill 2014-06-18 00:30:17 UTC
As part of https://github.com/Katello/katello/pull/4282  we added the restriction of a single release/arch for kickstart trees in a content view.

We need to decide if:

a)  we should allow only different variants of release & arch (i.e. Desktop & Server 6.4 x86_64)
b) if we should allow any arbitrary kickstart trees and let the user select which one they want based on the host's release and arch

Comment 1 Justin Sherrill 2014-06-18 00:30:19 UTC
Created from redmine issue http://projects.theforeman.org/issues/6264

Comment 4 Justin Sherrill 2014-07-29 19:49:38 UTC
Nah, but i think we need to document the limitation.

Comment 5 Justin Sherrill 2014-08-05 01:17:52 UTC
Moving to 6.1

Comment 6 Bryan Kearney 2015-08-25 17:24:24 UTC
Upstream bug component is WebUI

Comment 7 Bryan Kearney 2015-08-25 17:36:52 UTC
Upstream bug component is Content Management

Comment 8 Bryan Kearney 2016-02-05 19:01:00 UTC
Upstream bug component is WebUI

Comment 9 Justin Sherrill 2016-05-09 16:09:00 UTC
This was actually fixed in 6.2 as part of https://bugzilla.redhat.com/show_bug.cgi?id=1318743

Comment 10 Brad Buckingham 2016-05-09 16:13:01 UTC
Based on comment 9, I am moving this one ON_QA.

Comment 11 Chris Duryee 2016-07-07 17:19:41 UTC
marking as verified, 6.2 allows for selecting among multiple kickstarts. See  https://bugzilla.redhat.com/show_bug.cgi?id=1318743#c10 for screenshot.

Comment 12 Bryan Kearney 2016-07-27 11:16:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.